org.apache.maven.execution

## Class DefaultMavenExecutionRequest

- java.lang.Object
- - org.apache.maven.execution.DefaultMavenExecutionRequest

- All Implemented Interfaces:
    MavenExecutionRequest

      public class DefaultMavenExecutionRequest
      extends java.lang.Object
      implements MavenExecutionRequest

  Version:
    $Id: DefaultMavenExecutionRequest.java 687388 2008-08-20 17:19:21Z dfabulich $
  Author:
    Jason van Zyl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected MavenSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultMavenExecutionRequest(ArtifactRepository localRepository, Settings settings, EventDispatcher eventDispatcher, java.util.List goals, java.lang.String baseDirectory, ProfileManager globalProfileManager, java.util.Properties executionProperties, java.util.Properties userProperties, boolean showErrors)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEventMonitor(EventMonitor monitor)`
    `java.lang.String` | `getBaseDirectory()`
    `EventDispatcher` | `getEventDispatcher()`
    `java.util.Properties` | `getExecutionProperties()`
    `java.lang.String` | `getFailureBehavior()`
    `ProfileManager` | `getGlobalProfileManager()`
    `java.util.List` | `getGoals()`
    `ArtifactRepository` | `getLocalRepository()`
    `java.lang.String` | `getMakeBehavior()`
    `java.lang.String` | `getPomFile()`
    `ProjectBuilderConfiguration` | `getProjectBuilderConfiguration()`
    `java.lang.String` | `getResumeFrom()`
    `java.util.List` | `getSelectedProjects()`
    `MavenSession` | `getSession()`
    `Settings` | `getSettings()`
    `java.util.Date` | `getStartTime()`
    `java.util.Properties` | `getUserProperties()`
    `boolean` | `isReactorActive()`
    `boolean` | `isRecursive()`
    `boolean` | `isShowErrors()`
    `void` | `setFailureBehavior(java.lang.String failureBehavior)`
    `void` | `setMakeBehavior(java.lang.String makeBehavior)`
    `void` | `setPomFile(java.lang.String pomFilename)`
    `void` | `setReactorActive(boolean reactorActive)`
    `void` | `setRecursive(boolean recursive)`
    `void` | `setResumeFrom(java.lang.String resumeFrom)`
    `void` | `setSelectedProjects(java.util.List selectedProjects)`
    `void` | `setSession(MavenSession session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### session

          protected MavenSession session

  - ### Constructor Detail

    - #### DefaultMavenExecutionRequest

          public DefaultMavenExecutionRequest(ArtifactRepository localRepository,
                                      Settings settings,
                                      EventDispatcher eventDispatcher,
                                      java.util.List goals,
                                      java.lang.String baseDirectory,
                                      ProfileManager globalProfileManager,
                                      java.util.Properties executionProperties,
                                      java.util.Properties userProperties,
                                      boolean showErrors)

  - ### Method Detail

    - #### getSettings

          public Settings getSettings()

      Specified by:
        `getSettings` in interface `MavenExecutionRequest`

    - #### getBaseDirectory

          public java.lang.String getBaseDirectory()

      Specified by:
        `getBaseDirectory` in interface `MavenExecutionRequest`

    - #### isRecursive

          public boolean isRecursive()

      Specified by:
        `isRecursive` in interface `MavenExecutionRequest`

    - #### setRecursive

          public void setRecursive(boolean recursive)

      Specified by:
        `setRecursive` in interface `MavenExecutionRequest`

    - #### getLocalRepository

          public ArtifactRepository getLocalRepository()

      Specified by:
        `getLocalRepository` in interface `MavenExecutionRequest`

    - #### getGoals

          public java.util.List getGoals()

      Specified by:
        `getGoals` in interface `MavenExecutionRequest`

    - #### getExecutionProperties

          public java.util.Properties getExecutionProperties()

      Specified by:
        `getExecutionProperties` in interface `MavenExecutionRequest`

    - #### getSession

          public MavenSession getSession()

      Specified by:
        `getSession` in interface `MavenExecutionRequest`

    - #### setSession

          public void setSession(MavenSession session)

      Specified by:
        `setSession` in interface `MavenExecutionRequest`

    - #### addEventMonitor

          public void addEventMonitor(EventMonitor monitor)

      Specified by:
        `addEventMonitor` in interface `MavenExecutionRequest`

    - #### getEventDispatcher

          public EventDispatcher getEventDispatcher()

      Specified by:
        `getEventDispatcher` in interface `MavenExecutionRequest`

    - #### setReactorActive

          public void setReactorActive(boolean reactorActive)

      Specified by:
        `setReactorActive` in interface `MavenExecutionRequest`

    - #### isReactorActive

          public boolean isReactorActive()

      Specified by:
        `isReactorActive` in interface `MavenExecutionRequest`

    - #### setPomFile

          public void setPomFile(java.lang.String pomFilename)

      Specified by:
        `setPomFile` in interface `MavenExecutionRequest`

    - #### getPomFile

          public java.lang.String getPomFile()

      Specified by:
        `getPomFile` in interface `MavenExecutionRequest`

    - #### setFailureBehavior

          public void setFailureBehavior(java.lang.String failureBehavior)

      Specified by:
        `setFailureBehavior` in interface `MavenExecutionRequest`

    - #### getFailureBehavior

          public java.lang.String getFailureBehavior()

      Specified by:
        `getFailureBehavior` in interface `MavenExecutionRequest`

    - #### getGlobalProfileManager

          public ProfileManager getGlobalProfileManager()

      Specified by:
        `getGlobalProfileManager` in interface `MavenExecutionRequest`

    - #### getStartTime

          public java.util.Date getStartTime()

      Specified by:
        `getStartTime` in interface `MavenExecutionRequest`

    - #### isShowErrors

          public boolean isShowErrors()

      Specified by:
        `isShowErrors` in interface `MavenExecutionRequest`

    - #### getUserProperties

          public java.util.Properties getUserProperties()

      Specified by:
        `getUserProperties` in interface `MavenExecutionRequest`

    - #### getProjectBuilderConfiguration

          public ProjectBuilderConfiguration getProjectBuilderConfiguration()

      Specified by:
        `getProjectBuilderConfiguration` in interface `MavenExecutionRequest`

    - #### getMakeBehavior

          public java.lang.String getMakeBehavior()

      Specified by:
        `getMakeBehavior` in interface `MavenExecutionRequest`

    - #### setMakeBehavior

          public void setMakeBehavior(java.lang.String makeBehavior)

      Specified by:
        `setMakeBehavior` in interface `MavenExecutionRequest`

    - #### getResumeFrom

          public java.lang.String getResumeFrom()

      Specified by:
        `getResumeFrom` in interface `MavenExecutionRequest`

    - #### setResumeFrom

          public void setResumeFrom(java.lang.String resumeFrom)

      Specified by:
        `setResumeFrom` in interface `MavenExecutionRequest`

    - #### getSelectedProjects

          public java.util.List getSelectedProjects()

      Specified by:
        `getSelectedProjects` in interface `MavenExecutionRequest`

    - #### setSelectedProjects

          public void setSelectedProjects(java.util.List selectedProjects)

      Specified by:
        `setSelectedProjects` in interface `MavenExecutionRequest`